| API Docs for SAX and DOM |

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XMLTransService Class Reference

`#include <TransService.hpp>`

List of all members.

## Public Types

enum | Codes { Ok, UnsupportedEncoding, InternalFailure, SupportFilesNotFound }

## Public Methods

virtual | ~XMLTransService ()
XMLTranscoder* | makeNewTranscoderFor (const XMLCh *const encodingName,XMLTransService::Codes &resValue,const unsigned int blockSize)
XMLTranscoder* | makeNewTranscoderFor (const char *const encodingName,XMLTransService::Codes &resValue,const unsigned int blockSize)
virtual int | compareIString (const XMLCh *const comp1,const XMLCh *const comp2)=0
virtual int | compareNIString (const XMLCh *const comp1,const XMLCh *const comp2,const unsigned int maxChars)=0
virtual const XMLCh* | getId ()const=0
virtual bool | isSpace (const XMLCh toCheck)const=0
virtual XMLLCPTranscoder* | makeNewLCPTranscoder ()=0
virtual bool | supportsSrcOfs ()const=0
virtual void | upperCase (XMLCh *const toUpperCase)const=0
virtual void | lowerCase (XMLCh *const toLowerCase)const=0

## Static Public Methods

void | addEncoding (const XMLCh *const encoding,ENameMap *const ownMapping)

## Protected Methods

| XMLTransService ()
virtual XMLTranscoder* | makeNewXMLTranscoder (const XMLCh *const encodingName,XMLTransService::Codes &resValue,const unsigned int blockSize)=0

## Friends

class | XMLPlatformUtils

## Member Enumeration Documentation

enum XMLTransService::Codes

Enumeration values:

  Ok |
  UnsupportedEncoding |
  InternalFailure |
  SupportFilesNotFound |

## Constructor & Destructor Documentation

virtual XMLTransService::~XMLTransService ( | )`[virtual]`

XMLTransService::XMLTransService ( | )`[protected]`

## Member Function Documentation

void XMLTransService::addEncoding ( | const XMLCh *const encoding,
| ENameMap *const ownMapping )`[static]`

virtual int XMLTransService::compareIString ( | const XMLCh *const comp1,
| const XMLCh *const comp2 )`[pure virtual]`

virtual int XMLTransService::compareNIString ( | const XMLCh *const comp1,
| const XMLCh *const comp2,
| const unsigned int maxChars )`[pure virtual]`

virtual const XMLCh* XMLTransService::getId ( | ) const`[pure virtual]`

virtual bool XMLTransService::isSpace ( | const XMLCh toCheck ) const`[pure virtual]`

virtual void XMLTransService::lowerCase ( | XMLCh *const toLowerCase ) const`[pure virtual]`

virtual XMLLCPTranscoder* XMLTransService::makeNewLCPTranscoder ( | )`[pure virtual]`

XMLTranscoder* XMLTransService::makeNewTranscoderFor ( | const char *const encodingName,
| XMLTransService::Codes & resValue,
| const unsigned int blockSize )

XMLTranscoder* XMLTransService::makeNewTranscoderFor ( | const XMLCh *const encodingName,
| XMLTransService::Codes & resValue,
| const unsigned int blockSize )

virtual XMLTranscoder* XMLTransService::makeNewXMLTranscoder ( | const XMLCh *const encodingName,
| XMLTransService::Codes & resValue,
| const unsigned int blockSize )`[protected, pure virtual]`

virtual bool XMLTransService::supportsSrcOfs ( | ) const`[pure virtual]`

virtual void XMLTransService::upperCase ( | XMLCh *const toUpperCase ) const`[pure virtual]`

## Friends And Related Function Documentation

class XMLPlatformUtils`[friend]`

The documentation for this class was generated from the following file:

- TransService.hpp

Copyright © 2000 The Apache Software Foundation. All Rights Reserved.